Package org.apache.wiki.ui.admin

## Class DefaultAdminBeanManager

- java.lang.Object
- - org.apache.wiki.ui.admin.DefaultAdminBeanManager

All Implemented Interfaces:
  `java.util.EventListener`, `WikiEventListener`, `AdminBeanManager`

    public class DefaultAdminBeanManager
    extends java.lang.Object
    implements WikiEventListener, AdminBeanManager

Provides a manager class for all AdminBeans within JSPWiki. This class also manages registration for any AdminBean which is also a JMX bean.

Since:
  2.5.52

### Constructor Summary

Constructors
`DefaultAdminBeanManager​(Engine engine)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed​(WikiEvent event)` Unregisters AdminBeans upon SHUTDOWN event.
`AdminBean` `findBean​(java.lang.String id)` Locates a bean based on the AdminBean.getId() out of all the registered beans.
`java.util.List<AdminBean>` `getAllBeans()` Lists all administration beans which are currently known and instantiated.
`int` `getTypeFromString​(java.lang.String type)` Returns the type identifier for a string type.
`void` `initialize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAdminBeanManager

    public DefaultAdminBeanManager​(Engine engine)

### Method Detail

#### initialize

    public void initialize()

Specified by:
  `initialize` in interface `AdminBeanManager`

#### getAllBeans

    public java.util.List<AdminBean> getAllBeans()

Description copied from interface: `AdminBeanManager`
Lists all administration beans which are currently known and instantiated.

Specified by:
  `getAllBeans` in interface `AdminBeanManager`
Returns:
  all AdminBeans known to the manager

#### findBean

    public AdminBean findBean​(java.lang.String id)

Description copied from interface: `AdminBeanManager`
Locates a bean based on the AdminBean.getId() out of all the registered beans.

Specified by:
  `findBean` in interface `AdminBeanManager`
Parameters:
  `id` - ID
Returns:
  An AdminBean, or null, if no such bean is found.

#### getTypeFromString

    public int getTypeFromString​(java.lang.String type)

Returns the type identifier for a string type.

Specified by:
  `getTypeFromString` in interface `AdminBeanManager`
Parameters:
  `type` - A type string.
Returns:
  A type value.

#### actionPerformed

    public void actionPerformed​(WikiEvent event)

Description copied from interface: `AdminBeanManager`
Unregisters AdminBeans upon SHUTDOWN event.

Specified by:
  `actionPerformed` in interface `AdminBeanManager`
Specified by:
  `actionPerformed` in interface `WikiEventListener`
Parameters:
  `event` - the WikiEvent